package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.team.portal.modular.management.entity.PortalSlideshow;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalSlideshowRequest;
import com.baomidou.mybatisplus.extension.service.IService;

public interface PortalSlideshowService extends IService<PortalSlideshow> {

    void add(PortalSlideshowRequest portalSlideshowRequest);

    void del(PortalSlideshowRequest portalSlideshowRequest);

    void batchDelete(PortalSlideshowRequest portalSlideshowRequest);

    void edit(PortalSlideshowRequest portalSlideshowRequest);

    PortalSlideshow detail(PortalSlideshowRequest portalSlideshowRequest);

    PageResult<PortalSlideshow> findPage(PortalSlideshowRequest portalSlideshowRequest);

}
